using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsPeakInfo {

        //최대전력 정보
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "최대 전력 일시"), Required]
        public DateTime MaxDateTime { get; set; }
        [Display(Name = "최대 전력"), Required]
        public double? MaxPeakValue { get; set; }
        [Display(Name = "최소 전력 일시"), Required]
        public DateTime MinDateTime { get; set; }
        [Display(Name = "최소 전력"), Required]
        public double? MinPeakValue { get; set; }
        [Display(Name = "금일 최대 전력"), Required]
        public double? todayMaxPeakValue { get; set; }
        [Display(Name = "금일 최소 전력"), Required]
        public double? todayMinPeakValue { get; set; }

        [ForeignKey("SiteId")]
        public virtual CmSite Site { get; set; }
    }
}
